com.gemstone.tools

## Class GbjDebugger

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - javax.swing.JFrame
          - - com.gemstone.tools.GbxTool
            - - com.gemstone.tools.GbjBrowser
              - - com.gemstone.tools.GbjMethodBrowser
                - - com.gemstone.tools.GbjMethodListBrowser
                  - - com.gemstone.tools.GbjDebugger

- All Implemented Interfaces:
    GbjObserver, java.awt.event.ActionListener, java.awt.event.ComponentListener, java.awt.event.FocusListener, java.awt.event.MouseListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, java.util.Observer, javax.accessibility.Accessible, javax.swing.event.ListSelectionListener, javax.swing.event.MenuListener, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class GbjDebugger
      extends GbjMethodListBrowser

  Version:
    1.3
  Author:
    vincef
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JFrame

      `EXIT_ON_CLOSE`

    - ### Fields inherited from class java.awt.Frame

      `CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GbjDebugger()` Creates new GbjDebugger
    `GbjDebugger(GbjException anException)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent actionEvent)`
    `void` | `componentResized(java.awt.event.ComponentEvent componentEvent)`
    `GbjObject` | `contextObject()`
    `void` | `continueProcess()`
    `GbjObject` | `doitNames()`
    `GbjObject` | `doitValues()`
    `void` | `explainExcept()`
    `void` | `moreStack()`
    `void` | `processResult_(GbjObject result)`
    `void` | `stepInto()`
    `void` | `stepOver()`
    `void` | `trimStack()`
    `void` | `updateFont(java.awt.Font font)`
    `void` | `windowClosed(java.awt.event.WindowEvent windowEvent)`
    `void` | `windowClosing(java.awt.event.WindowEvent windowEvent)`

    - ### Methods inherited from class com.gemstone.tools.GbjBrowser

      `browseClass, browseHierarchy, browseVersions, changeSelectionTo_from_widget_holders_, classButtonSelected, classSelected, dictionarySelected, focusGained, instanceButtonSelected, methodSelected, mouseClicked, mousePressed, openOnSession, protocolSelected, setBreak, valueChanged`

    - ### Methods inherited from class com.gemstone.tools.GbxTool

      `chooseClassNameMatching_dialogString_, chooseSelectorMatching_dialogString_, closeWindow, componentHidden, componentMoved, componentShown, doIt, doIt, exitApplication, fileInFile, fileInString, fileInText, focusLost, getLogger, getTextFromFile, getWindowID, indexOf_inList_, inspectIt, menuCanceled, menuDeselected, menuSelected, mouseEntered, mouseExited, mouseReleased, openFile, printIt, printResult, processError_, processError_message_printing_inspecting_, resetClassOrganizer, saveFileAs, saveTextToFile, serverSupport, session_, session, setCursor, setWindowID, showErrorMessage_title_, update, update, updateListWidget_withObjects_, updateLookAndFeel, updateTabSize, updateWordWrap, windowActivated, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

    - ### Methods inherited from class javax.swing.JFrame

      `getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Frame

      `addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.awt.MenuContainer

      `getFont, postEvent`

- - ### Constructor Detail

    - #### GbjDebugger

          public GbjDebugger()

      Creates new GbjDebugger

    - #### GbjDebugger

          public GbjDebugger(GbjException anException)

  - ### Method Detail

    - #### moreStack

          public void moreStack()

    - #### trimStack

          public void trimStack()

    - #### stepInto

          public void stepInto()

    - #### stepOver

          public void stepOver()

    - #### processResult_

          public void processResult_(GbjObject result)

    - #### windowClosing

          public void windowClosing(java.awt.event.WindowEvent windowEvent)

      Specified by:
        `windowClosing` in interface `java.awt.event.WindowListener`
      Overrides:
        `windowClosing` in class `GbjBrowser`

    - #### windowClosed

          public void windowClosed(java.awt.event.WindowEvent windowEvent)

      Specified by:
        `windowClosed` in interface `java.awt.event.WindowListener`
      Overrides:
        `windowClosed` in class `GbxTool`

    - #### contextObject

          public GbjObject contextObject()

      Overrides:
        `contextObject` in class `GbjBrowser`

    - #### doitNames

          public GbjObject doitNames()

      Overrides:
        `doitNames` in class `GbxTool`

    - #### doitValues

          public GbjObject doitValues()

      Overrides:
        `doitValues` in class `GbxTool`

    - #### continueProcess

          public void continueProcess()

    - #### explainExcept

          public void explainExcept()

    - #### componentResized

          public void componentResized(java.awt.event.ComponentEvent componentEvent)

      Specified by:
        `componentResized` in interface `java.awt.event.ComponentListener`
      Overrides:
        `componentResized` in class `GbjMethodListBrowser`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent actionEvent)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Overrides:
        `actionPerformed` in class `GbjBrowser`

    - #### updateFont

          public void updateFont(java.awt.Font font)

      Overrides:
        `updateFont` in class `GbjMethodBrowser`